<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Insert title here</title>
    <%@include file="/views/common.jsp" %>
</head>
<!-- 复印纸 -->
<style>
    .p {
        color: green;
        font-weight: 400;
    }
</style>
<body>
<div class="big_box">
    <div class="left_div">
        <h1 class="h1">复印纸<span style="color:red;font-weight:700;">  -自来稿件</span></h1>
        <hr>
        <form class="layui-form">
            <input type="hidden" name="proTypeValue" id="proTypeValue" class="layui-input" value="复印纸">
            <p>
                印色
            </p>
            <div class="layui-form-item">
                <div class="layui-input-block">
                    <input type="radio" name="kindValue" lay-filter="kindValue" value="黑白" title="黑白" checked="checked">
                    <input type="radio" name="kindValue" lay-filter="kindValue" value="彩色" title="彩色">
                </div>
            </div>
            <p>
                材料
            </p>
            <div class="layui-form-item heibai">
                <select name="kind2Value" id="kind2ValueHeibai" class="select kind2Value">
                    <option value="60克双胶纸">60克双胶纸</option>
                    <option value="80克双胶纸">80克双胶纸</option>
                </select>
            </div>
            <div class="layui-form-item color" style="display:none;">
                <select name="kind2Value" id="kind2ValueColor" class="select kind2Value">
                    <option value="80克双胶纸">80克双胶纸</option>
                    <!-- <option value="157克铜版纸">157克铜版纸</option>
                    <option value="200克铜版纸">200克铜版纸</option>
                    <option value="250克铜版纸">250克铜版纸</option>
                    <option value="300克铜版纸">300克铜版纸</option> -->
                </select>
            </div>
            <p>
                尺寸(CM/厘米) <span style="font-size:14px;color:red">输入格式: 长 * 宽</span>
            </p>
            <div class="layui-form-item sizeHeibai">
                <select name="size" id="sizeHeibai" class="select">
                    <option value="19*13">19 * 13 cm</option>
                    <option value="28.5*21">28.5 * 21 cm</option>
                    <!-- <option value="42*28.5">42 * 28.5 cm</option> -->
                </select>
            </div>
            <div class="layui-form-item sizeColor" style="display:none;">
                <select name="size" id="sizeColor" class="select">
                    <option value="19*13">19 * 13 cm</option>
                    <option value="28.5*21">28.5 * 21 cm</option>
                    <!-- <option value="42*28.5">42 * 28.5 cm</option> -->
                </select>
            </div>
            <p>
                数量（本）
            </p>
            <div class="layui-form-item">
                <!-- <input type="text" placeholder="请输入整数" autocomplete="off" name="count" class="layui-input"> -->
                <select name="count" id="count" class="select">
                    <option value="10">10</option>
                    <option value="20">20</option>
                    <option value="50">50</option>
                </select>
            </div>
            <p>
                印面
            </p>
            <div class="layui-form-item">
                <div class="layui-input-block">
                    <input type="radio" name="kind3Value" class="danmian" value="单面" title="单面" checked="checked">
                    <input type="radio" name="kind3Value" class="shuangmian" value="双面" title="双面">
                </div>
            </div>
            <p>
                款数
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入整数" autocomplete="off" name="number" id="number" value="1" class="layui-input" lay-verify="number">
            </div>
            <p>
                客户旺旺
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入客户旺旺号" autocomplete="off" name="wangwang" id="wangwang" class="layui-input">
            </div>
            <p>
                工艺
            </p>
            <div class="layui-input-block">
                <input type="checkbox" name="craft" lay-filter="ui_craft" value="抠图" title="抠图">
                <div class="layui-inline crop" style="display:none;width: 80px">
                    <input class="layui-input" type="text" name="cropNumber">
                </div>
            </div>
            <!--<div class="layui-form-item">
                <span style="float:left;margin-top:12px">装订 ： </span>
                <input type="radio" name="craftMo" lay-filter="craftMo" value="订书机" title="订书机" checked="checked">
                <input type="radio" name="craftMo" lay-filter="craftMo" value="皮纹纸不印字胶装" title="皮纹纸不印字胶装">
                <input type="radio" name="craftMo" lay-filter="craftMo" value="钢圈装订" title="钢圈装订">
                <input type="radio" name="craftMo" lay-filter="craftMo" value="铜版纸装订" title="铜版纸装订">
                <input type="radio" name="craftMo" lay-filter="craftMo" value="无线精装" title="无线精装">
            </div> -->
            <hr>
            <div class="layui-form-item">
                <button class="layui-btn" lay-submit="" lay-filter="acount_btn">计算</button>
                <button type="reset" class="layui-btn layui-btn-primary">重置</button>
            </div>
            <h2>计算结果-
                <button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult" onclick="copyResult()">点击复制</button>
            </h2>
            <div>
                <textarea rows="11" cols="75" id="span_result" readonly="readonly"></textarea>
                <%@include file="../acountExpressFeeTooWeight.jsp" %>
            </div>
            <!--<h2>下单备注-<button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult" onclick="copyBz()">点击复制</button></h2>
            <div>
                <textarea rows="5" cols="75" id="bz_result" readonly="readonly"></textarea>
            </div>-->
            <div>
                <table class="layui-hide" id="priceTable" lay-filter="priceTable"></table>
            </div>
        </form>
    </div>
    <div class="right_div">
        <div class="layui-carousel" id="test1">
            <div carousel-item id="carousel"></div>
            <br>
            <div id="remark" style="font-size:20px;color:red"></div>
        </div>
    </div>
</div>
</body>
<script src="../../js/carousel.js" charset="utf-8"></script>
<%@include file="/views/copyResult.jsp" %>
<script>
    layui.use(['table', 'form', 'carousel'], function () {
        var form = layui.form; //只有执行了这一步，部分表单元素才会自动修饰成功
        var carousel = layui.carousel;
        var table = layui.table;

        //建造实例
        ins = carousel.render({});

        $(".color").find(":input").attr("disabled", true);
        $(".sizeColor").find(":input").attr("disabled", true);
        var kindValueData;
        form.on('radio(kindValue)', function (data) {
            kindValueData = data.value;
            if (kindValueData == "彩色") {
                $(".color").show();
                $(".color").find(":input").attr("disabled", false);
                $(".heibai").hide();
                $(".heibai").find(":input").attr("disabled", true);
                $(".sizeColor").show();
                $(".sizeColor").find(":input").attr("disabled", false);
                $(".sizeHeibai").hide();
                $(".sizeHeibai").find(":input").attr("disabled", true);

                $(".shuangmian").attr("disabled", true);
                $('input[class = danmian]').prop('checked', true);
                $(".danmian").attr("disabled", false);// 加这个让按钮取消禁用模式
            } else if (kindValueData == "黑白") {
                $(".heibai").show();
                $(".heibai").find(":input").attr("disabled", false);
                $(".color").hide();
                $(".color").find(":input").attr("disabled", true);
                $(".sizeHeibai").show();
                $(".sizeHeibai").find(":input").attr("disabled", false);
                $(".sizeColor").hide();
                $(".sizeColor").find(":input").attr("disabled", true);

                $(".shuangmian").attr("disabled", false);
            }
            form.render('radio');
        })

        form.on('checkbox(ui_craft)', function (data) {
            let craft_list = [];
            let kindValue = $('input[name="kindValue"]:checked').val();
            craft_list.push($("select[name='craft'] option:selected").val());
            $("input[name='craft']:checked").each(function () {
                if (!$(this).is(':disabled')) {
                    craft_list.push($(this).val());
                }
            });

            if (data.value == '抠图') {
                $(".crop").hide();
                $(".crop").find("input").prop("disabled", true)
                if (data.elem.checked) {
                    $(".crop").show();
                    $(".crop").find("input").prop("disabled", false)
                }
            }
            form.render();
        })
        // 点击计算，计算价格
        form.on('submit(acount_btn)', function (data) {
            var kind = [$('input[name="kindValue"]:checked').val()];
            var kind2 = $("#kind2ValueHeibai").val();
            var kind3 = [$('input[name="kind3Value"]:checked').val()];
            var size = $("#sizeHeibai").val();
            if (kindValueData == "彩色") {
                var kind2 = $("#kind2ValueColor").val();
                var size = $("#sizeColor").val();
            }
            let arr = [];
            $("input[name='craft']:checked").each(function () {
                if (!$(this).is("disabled")) {
                    if ($(this).val() == "抠图") {
                        arr.push($(this).val() + $("input[name='cropNumber']").val());
                        return;
                    }
                    arr.push($(this).val())
                }
            })
            var number = $("#number").val();
            $.ajax({
                url: "${path}/getThanSum",
                type: "GET",
                data: $(".big_box form").serialize(),
                success: function (result) {
                    if (result.code == 100) {
                        layer.msg(result.msg, {offset: ['300px', '300px']}, function () {
                        });
                        return false;
                    }
                    var data = result.data.proList;

                    var span_result = '复印纸 - ' + kind2 + ' - ' + size + 'cm - ' + kind + ' - ' + kind3 + '(同款内容)\n';
                    if (arr.length > 0) {
                        span_result += '工艺：' + arr.join(",") + '\n';
                    }
                    if (number > 1) {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 各' + data[i].count + "本，共" + data[i].price + "元" + '\n';
                            data[i].number = number;
                        }
                    } else {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 ' + data[i].count + "本，共" + data[i].price + "元" + '\n';
                            data[i].number = number;
                        }
                    }
                    span_result += '包邮，免费设计呢~（偏远地区需补邮费）'
                    if (window.parent.system_isGai) {
                        span_result += "\n\n亲 现在下单可以参加淘宝活动8.5折折扣哦!"
                    }
                    addLog(span_result);
                    $("#span_result").val(span_result);

                    var count = $("#count").val() + "本";
                    var craft = $("input[name='kind3Value']:checked").val() + $("input[name='kindValue']:checked").val() + "印刷";
                    getRemark($("#proTypeValue").val(), size, count, kind2, number, craft, "");
                    //计算完自动复制文本
                    var e = document.getElementById("span_result");//对象是content
                    if (e.value != "") {
                        e.select();//选择对象
                        document.execCommand("Copy");//执行浏览器复制命令
                    }

                    //生成表格
                    table.render({
                        elem: '#priceTable',
                        even: true, //隔行变色
                        data: data, // 赋值已知数据
                        width: 500,
                        cols: [[
                            {
                                field: 'number',
                                width: '12%',
                                align: "center",
                                title: '款数'
                            }, {
                                field: 'count',
                                width: '16%',
                                align: "center",
                                title: '数量'
                            }, {
                                field: 'price',
                                width: '16%',
                                align: "center",
                                title: '报价'
                            }, {
                                field: 'wangwang',
                                align: "center",
                                width: '16%',
                                title: '折扣价'
                            }, {
                                field: 'wangwang',
                                align: "center",
                                width: '19%',
                                title: '跳楼价'
                            }, {
                                field: 'weight',
                                width: '21%',
                                align: "center",
                                title: '重量（kg）'
                            }
                        ]],
                        done: function () {
                        }
                    });
                }
            });
            return false;
        });
    });
</script>
</html>